//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.0 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.05 at 02:46:29 PM CET 
//


package com.ticket_jira_soap.ws;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for TicketSoap complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TicketSoap"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="id_ticket" type="{http://www.w3.org/2001/XMLSchema}long"/&gt;
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="id_person_creator" type="{http://www.w3.org/2001/XMLSchema}long"/&gt;
 *         &lt;element name="id_person_assigned" type="{http://www.w3.org/2001/XMLSchema}long"/&gt;
 *         &lt;element name="creation_datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *         &lt;element name="ticket_close_datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TicketSoap", propOrder = {
    "idTicket",
    "name",
    "idPersonCreator",
    "idPersonAssigned",
    "creationDatetime",
    "ticketCloseDatetime"
})
public class TicketSoap {

    @XmlElement(name = "id_ticket")
    protected long idTicket;
    @XmlElement(required = true)
    protected String name;
    @XmlElement(name = "id_person_creator")
    protected long idPersonCreator;
    @XmlElement(name = "id_person_assigned")
    protected long idPersonAssigned;
    @XmlElement(name = "creation_datetime", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar creationDatetime;
    @XmlElement(name = "ticket_close_datetime", required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar ticketCloseDatetime;

    /**
     * Gets the value of the idTicket property.
     * 
     */
    public long getIdTicket() {
        return idTicket;
    }

    /**
     * Sets the value of the idTicket property.
     * 
     */
    public void setIdTicket(long value) {
        this.idTicket = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the idPersonCreator property.
     * 
     */
    public long getIdPersonCreator() {
        return idPersonCreator;
    }

    /**
     * Sets the value of the idPersonCreator property.
     * 
     */
    public void setIdPersonCreator(long value) {
        this.idPersonCreator = value;
    }

    /**
     * Gets the value of the idPersonAssigned property.
     * 
     */
    public long getIdPersonAssigned() {
        return idPersonAssigned;
    }

    /**
     * Sets the value of the idPersonAssigned property.
     * 
     */
    public void setIdPersonAssigned(long value) {
        this.idPersonAssigned = value;
    }

    /**
     * Gets the value of the creationDatetime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCreationDatetime() {
        return creationDatetime;
    }

    /**
     * Sets the value of the creationDatetime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCreationDatetime(XMLGregorianCalendar value) {
        this.creationDatetime = value;
    }

    /**
     * Gets the value of the ticketCloseDatetime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTicketCloseDatetime() {
        return ticketCloseDatetime;
    }

    /**
     * Sets the value of the ticketCloseDatetime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTicketCloseDatetime(XMLGregorianCalendar value) {
        this.ticketCloseDatetime = value;
    }

}
